Download a completed audit
GET/api/v1/audits/{id}/export
Needs the exports:read scope. About scopes
CSV is one row per finding. JSON is the audit, its pages and its findings.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
id required | path | string (uuid) | Audit id |
format | query | string | Default jsonOne of: json, csv |
Responses
| Status | Meaning | Body |
|---|---|---|
| 200 | OK | application/json, text/csv |
| 401 | No key, or the key is invalid, expired or revoked (key_required, key_invalid) | Error |
| 403 | The key lacks a scope, or the plan doesn't allow it (missing_scope, plan_no_api, plan_limit) | Error |
| 404 | Not found, or not yours (not_found) | Error |
| 429 | Over the rate limit (rate_limited, rate_limited_daily) | Error |
Examples
curl
curl "https://app.kritano.com/api/v1/audits/0193f1b2-7c4e-7a1d-9b2a-3c5d6e7f8a9b/export" \
-H "Authorization: Bearer $KRITANO_API_KEY"
JavaScript
const res = await fetch("https://app.kritano.com/api/v1/audits/0193f1b2-7c4e-7a1d-9b2a-3c5d6e7f8a9b/export", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.KRITANO_API_KEY}`,
},
});
const data = await res.json();
Python
import os
import requests
res = requests.get(
"https://app.kritano.com/api/v1/audits/0193f1b2-7c4e-7a1d-9b2a-3c5d6e7f8a9b/export",
headers={"Authorization": f"Bearer {os.environ['KRITANO_API_KEY']}"},
)
res.raise_for_status()
data = res.json()
Go
req, _ := http.NewRequest("GET", "https://app.kritano.com/api/v1/audits/0193f1b2-7c4e-7a1d-9b2a-3c5d6e7f8a9b/export", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KRITANO_API_KEY"))
res, err := http.DefaultClient.Do(req)